Ask Your Question

Caterpillar's profile - activity

2019-08-02 09:01:55 -0600 received badge  Notable Question (source)
2019-01-06 10:44:52 -0600 received badge  Famous Question (source)
2019-01-06 10:44:52 -0600 received badge  Notable Question (source)
2016-10-05 08:06:34 -0600 commented answer Axes labels on 3D plots?

@eric_g could you please provide a working example of set_axes_labels usage? Thx

2016-10-05 04:46:49 -0600 commented answer plot error: No X11 DISPLAY variable was set

Workaround at third line of code at https://bugzilla.redhat.com/show_bug....

2016-10-05 04:24:47 -0600 commented answer plot error: No X11 DISPLAY variable was set
2016-10-05 03:24:03 -0600 asked a question plot error: No X11 DISPLAY variable was set

Hi, I have to make a plot of the following formula

x,y=var('x, y')
plot3d((x^2)*y-x*y+x*y^3,0,5)

but I obtain error message

/usr/lib64/python2.7/site-packages/sage/plot/plot3d/parametric_plot3d.py\ :704: DeprecationWarning: Unnamed ranges for more than one variable is deprecated and will be removed from a future release of Sage; you can used named ranges instead, like (x,0,2) See http://trac.sagemath.org/7008 for details. g, ranges = setup_for_eval_on_grid(f, [urange,vrange], plot_points) Exception in thread "main" java.lang.ExceptionInInitializerError Caused by: java.awt.HeadlessException: No X11 DISPLAY variable was set, but this program performed an operation which requires it. at sun.awt.HeadlessToolkit.getScreenSize(HeadlessToolkit.java:284) at org.openscience.jmol.app.jmolpanel.JmolPanel.<clinit>(JmolPanel.ja\ va:173) /usr/lib64/python2.7/site-packages/sage/repl/rich_output/display_manager\ .py:570: RichReprWarning: Exception in _rich_repr_ while displaying object: Jmol failed to create file '/home/sage/.sage/temp/host/1582/dir_0OP2db/preview.png', see '/home/sage/.sage/temp/host/1582/tmp_4sBlqC.txt' for details RichReprWarning, Graphics3d Object</clinit>

2016-09-13 18:41:40 -0600 received badge  Popular Question (source)
2015-12-30 09:12:07 -0600 asked a question Run LCM fractions

I am doing some matrix multiplications, and as result I get

image description

Now see position 1,1 of the matrix: I want SageMath to return me a result that has only one fraction (using LCM), not two fractions. Which command should I use?

2015-10-20 00:44:16 -0600 received badge  Notable Question (source)
2015-10-15 08:55:26 -0600 received badge  Famous Question (source)
2015-10-15 08:55:26 -0600 received badge  Notable Question (source)
2015-09-21 05:03:08 -0600 asked a question derivative(5x, x) returns syntax error

Since I did not remember the command to do a derivative, I was trying with a very simple formula. Since I did not find the right command on my own, I looked at SageMath guide and then I tried to run the following command

derivative(5x, x)

but it returns error

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "_sage_input_22.py", line 10, in <module>
    exec compile(u'open("___code___.py","w").write("# -*- coding: utf-8 -*-\\n" + _support_.preparse_worksheet_cell(base64.b64decode("ZGVyaXZhdGl2ZSg1eCwgeCk="),globals())+"\\n"); execfile(os.path.abspath("___code___.py"))
  File "", line 1, in <module>

  File "/tmp/tmpZWBMYQ/___code___.py", line 2
    derivative(5x, x)
                ^
SyntaxError: invalid syntax

Instead the command from the guide

derivative(x^2, x)

works flawlessly. They seem both equal, but mine does not work. Why?

2015-09-21 04:25:44 -0600 asked a question plot((e^-x)5) returns syntax error

Could you please tell me why command

plot((e^-x)5)

returns error

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "_sage_input_13.py", line 10, in <module>
    exec compile(u'open("___code___.py","w").write("# -*- coding: utf-8 -*-\\n" + _support_.preparse_worksheet_cell(base64.b64decode("cGxvdCgoZV4teCk1KQ=="),globals())+"\\n"); execfile(os.path.abspath("___code___.py"))
  File "", line 1, in <module>

  File "/tmp/tmphGwtBs/___code___.py", line 3
    plot((e**-x)_sage_const_5 )
                            ^
SyntaxError: invalid syntax

and why command

 plot((e^-x))

works flawlessly instead?

2015-03-26 22:11:40 -0600 marked best answer Fedora cert tools

I am working on setting up a public Sage server. I downloaded the 64 bit Sage package for Fedora, then to enable secure mode, I did:

./sage -i openssl

./sage -f python

SAGE_UPGRADING=yes make ssl

but when trying to start the public notebook....


[sage@PD-2 sage-5.6-linux-64bit-fedora_release_16_verne_-x86_64-Linux]$ ./sage
----------------------------------------------------------------------
| Sage Version 5.6, Release Date: 2013-01-21                         |
| Type "notebook()" for the browser-based notebook interface.        |
| Type "help()" for help.                                            |
----------------------------------------------------------------------
sage: notebook(automatic_login=False,interface='',secure=True)
The notebook files are stored in: sage_notebook.sagenb
In order to use an SECURE encrypted notebook, you must first run notebook.setup().
Now running notebook.setup()
---------------------------------------------------------------------------
RuntimeError                              Traceback (most recent call last)

/home/sage/.sage/<ipython console=""> in <module>()

/home/sage/sage-5.6-linux-64bit-fedora_release_16_verne_-x86_64-Linux/devel/sagenb/sagenb/notebook/notebook_object.pyc in __call__(self, *args, **kwds)
    221     """
    222     def __call__(self, *args, **kwds):
--> 223         return self.notebook(*args, **kwds)
    224 
    225     notebook = run_notebook.notebook_run

/home/sage/sage-5.6-linux-64bit-fedora_release_16_verne_-x86_64-Linux/devel/sagenb/sagenb/notebook/run_notebook.pyc in notebook_run(self, directory, port, interface, port_tries, secure, reset, accounts, openid, server_pool, ulimit, timeout, upload, automatic_login, start_path, fork, quiet, server, profile, subnets, require_login, open_viewer, address)
    600             print "In order to use an SECURE encrypted notebook, you must first run notebook.setup()."
    601             print "Now running notebook.setup()"
--> 602             notebook_setup()
    603         if (not os.path.exists(private_pem) or
    604             not os.path.exists(public_pem)):

/home/sage/sage-5.6-linux-64bit-fedora_release_16_verne_-x86_64-Linux/devel/sagenb/sagenb/notebook/run_notebook.pyc in notebook_setup(self)
    368 
    369     if not cmd_exists('certtool'):
--> 370         raise RuntimeError("You must install certtool to use the secure notebook server.")
    371 
    372     dn = raw_input("Domain name [localhost]: ").strip()

RuntimeError: You must install certtool to use the secure notebook server.
2015-03-26 22:08:53 -0600 marked best answer Setting up a public Sage server

Hi. I have a desktop computer with an Athlon II X3 440 (probably he will be updated soon with an AMD FX 8350), 32Gb of RAM and Fedora 17 64bit. I would like to set up a public Sage server on a unprivileged Fedora user. I am not a security expert, but I need to avoid abuses, so I need suggestions how to secure a public Sage server, where people can sign in from Sage server's webpage and start immediately

The wiki page http://wiki.sagemath.org/SageServer does not seem to be enough for my needs

2015-03-26 22:08:49 -0600 marked best answer Fedora, pyOpenSSL

I am setting up a public Sage server on a Fedora 18 machine (Python version python-2.7.3-13.fc18.x86_64) To have the possibility to enable the secure mode, I installed pyOpenSSL package from Fedora repositories (pyOpenSSL-0.13-4.fc18.x86_64) , but when I try to start the Sage server, I obtain these error messages:

sage: notebook(port=8082, interface='', secure=True, accounts=True, ulimit='-v 500000 t 120', automatic_login=False) -------------------------------------------------------------------------- RuntimeError Traceback (most recent call last)

/home/user/sage/sage-5.5-linux-64bit-fedora_release_16_verne_x86_64-Linux/<ipython console=""> in <module>()

/home/user/sage/sage-5.5-linux-64bit-fedora_release_16_verne_-x86_64-Linux/devel/sagenb/sagenb/notebook/notebook_object.pyc in _call_(self, args, *kwds) 221 """ 222 def _call_(self, args, *kwds): -> 223 return self.notebook(args, *kwds) 224 225 notebook = run_notebook.notebook_run

/home/dna/sage/sage-5.5-linux-64bit-fedora_release_16_verne_x86_64-Linux/devel/sagenb/sagenb/notebook/run_notebook.pyc in notebook_run(self, directory, port, interface, port_tries, secure, reset, accounts, openid, server_pool, ulimit, timeout, upload, automatic_login, start_path, fork, quiet, server, profile, subnets, require_login, open_viewer, address) 476 import OpenSSL 477 except ImportError: -> 478 raise RuntimeError("HTTPS cannot be used without pyOpenSSL" 479 " installed. See the Sage README for more information.") 480

RuntimeError: HTTPS cannot be used without pyOpenSSL installed. See the Sage README for more information.

2015-01-05 18:52:38 -0600 received badge  Popular Question (source)
2014-07-17 02:47:51 -0600 commented answer Condition of type: SIMPLE-CONDITION

how can I send it to you privately? I cannot find a private message button on ask.sagemath.org

2014-07-16 14:37:13 -0600 commented answer Condition of type: SIMPLE-CONDITION

"my Sagemath's server web interface", I mean I am running sage, then notebook() on a remote server your and I connect to with a browser.

2014-07-16 09:18:33 -0600 asked a question Condition of type: SIMPLE-CONDITION

Executing

limit(((x^(2*x)-2*factorial(x)+x*log(x,10))^((x^(2*x))/factorial(x)))/(x^(((2*x)^(2*x))/(factorial(x-1)))),x=infinity)

on my Sagemath's server web interface, I obtain:

Condition of type: SIMPLE-CONDITION
Undefined limit product $INFINITY * $ZEROA in lim-times
Available restarts:

1. (CONTINUE) Return from BREAK.

Top level in: #<process TOP-LEVEL>.
>

What can I do?

'Sage Version 6.1.1, Release Date: 2014-02-04'

2014-07-16 09:15:31 -0600 commented answer Syntax error on limit

Hi, thank you for the exhaustive answer. Concerning `2n!` I don't know, I simply saw it as is, in the pdf of the professor. Concerning SageMath version, I edited my post. The command was executed on my Sagemath's server web interface.

2014-07-16 09:06:33 -0600 received badge  Editor (source)
2014-07-16 08:43:47 -0600 received badge  Organizer (source)
2014-07-16 08:35:44 -0600 asked a question Syntax error on limit

I would like to execute

limit(((n^(2n)-2n!+n*log(n,10))^((n^(2n))/(n!)))/(n^(((2n)^(2n))/((n-1)!))),n=infinity)

but I obtain the well-known big huge error message with painful infos inside. I cannot manage to fix the error, since I do not understand what is.

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "_sage_input_19.py", line 10, in <module>
    exec compile(u'open("___code___.py","w").write("# -*- coding: utf-8 -*-\\n" + _support_.preparse_worksheet_cell(base64.b64decode("bGltaXQoKChuXigybiktMm4hK24qbG9nKG4sMTApKV4oKG5eKDJuKSkvKG4hKSkpLyhuXigoKDJuKV4oMm4pKS8oKG4tMSkhKSkpLG49aW5maW5pdHkp"),globals())+"\\n"); execfile(os.path.abspath("___code___.py"))
  File "", line 1, in <module>

  File "/tmp/tmpe9jdup/___code___.py", line 3
    limit(((n**(2n)-2n!+n*log(n,_sage_const_10 ))**((n**(2n))/(n!)))/(n**(((2n)**(2n))/((n-_sage_const_1 )!))),n=infinity)
                 ^
SyntaxError: invalid syntax

'Sage Version 6.1.1, Release Date: 2014-02-04'

2014-06-28 20:15:59 -0600 marked best answer TypeError: 'sage.rings.integer.Integer' object is not callable

I tried to enter into notebook:

a=-2

(-((a-1)^2)-((-a-8)(2(a-1))))/((a-1)^4)

And I obtained error

Traceback (most recent call last):
File "<stdin>", line 1, in <module>
File "_sage_input_13.py", line 10, in <module> exec compile(u'open("___code___.py","w").write("# -- coding: utf-8 --\n" + _support_.preparse_worksheet_cell(base64.b64decode("KC0oKGEtMSleMiktKCgtYS04KSgyKGEtMSkpKSkvKChhLTEpXjQp"),globals())+"\n"); execfile(os.path.abspath("___code___.py")) File "", line 1, in <module> File "/tmp/tmpF91cWI/___code___.py", line 3, in <module> exec compile(u'(-((a-_sage_const_1 )_sage_const_2 )-((-a-_sage_const_8 )(_sage_const_2 (a-_sage_const_1 ))))/((a-_sage_const_1 )_sage_const_4 ) File "", line 1, in <module> TypeError: 'sage.rings.integer.Integer' object is not callable